DualRTPChannel< BaseSocket > Class Template Reference
Underlying transport protocol socket classes.

`#include <channel.h>`

## Public Member Functions

| DualRTPChannel (const InetAddress &ia, tpport_t port)
| ~DualRTPChannel ()
bool | isPendingRecv (microtimeout_t timeout) const
InetHostAddress | getSender (tpport_t &port) const
size_t | recv (unsigned char *buffer, size_t len)
size_t | getNextPacketSize () const
Socket::Error | setMulticast (bool enable)
Socket::Error | join (const InetMcastAddress &ia, uint32 iface)
Socket::Error | drop (const InetMcastAddress &ia)
Socket::Error | setTimeToLive (unsigned char ttl)
void | setPeer (const InetAddress &host, tpport_t port)
size_t | send (const unsigned char *const buffer, size_t len)
SOCKET | getRecvSocket () const
void | endSocket ()

## Constructor & Destructor Documentation

## DualRTPChannel()

template<class BaseSocket>

DualRTPChannel< BaseSocket >::DualRTPChannel | ( | const InetAddress & | ia,
|  | tpport_t | port )

inline

## ~DualRTPChannel()

template<class BaseSocket>

DualRTPChannel< BaseSocket >::~DualRTPChannel | ( |  | ) |

inline

## Member Function Documentation

## drop()

template<class BaseSocket>

Socket::Error DualRTPChannel< BaseSocket >::drop | ( | const InetMcastAddress & | ia | ) |

inline

## endSocket()

template<class BaseSocket>

void DualRTPChannel< BaseSocket >::endSocket | ( |  | ) |

inline

## getNextPacketSize()

template<class BaseSocket>

size_t DualRTPChannel< BaseSocket >::getNextPacketSize | ( |  | ) | const

inline

## getRecvSocket()

template<class BaseSocket>

SOCKET DualRTPChannel< BaseSocket >::getRecvSocket | ( |  | ) | const

inline

## getSender()

template<class BaseSocket>

InetHostAddress DualRTPChannel< BaseSocket >::getSender | ( | tpport_t & | port | ) | const

inline

## isPendingRecv()

template<class BaseSocket>

bool DualRTPChannel< BaseSocket >::isPendingRecv | ( | microtimeout_t | timeout | ) | const

inline

## join()

template<class BaseSocket>

Socket::Error DualRTPChannel< BaseSocket >::join | ( | const InetMcastAddress & | ia,
|  | uint32 | iface )

inline

## recv()

template<class BaseSocket>

size_t DualRTPChannel< BaseSocket >::recv | ( | unsigned char * | buffer,
|  | size_t | len )

inline

## send()

template<class BaseSocket>

size_t DualRTPChannel< BaseSocket >::send | ( | const unsigned char *const | buffer,
|  | size_t | len )

inline

## setMulticast()

template<class BaseSocket>

Socket::Error DualRTPChannel< BaseSocket >::setMulticast | ( | bool | enable | ) |

inline

## setPeer()

template<class BaseSocket>

void DualRTPChannel< BaseSocket >::setPeer | ( | const InetAddress & | host,
|  | tpport_t | port )

inline

## setTimeToLive()

template<class BaseSocket>

Socket::Error DualRTPChannel< BaseSocket >::setTimeToLive | ( | unsigned char | ttl | ) |

inline

The documentation for this class was generated from the following file:

- channel.h